%define module	sphinx_rtd_theme

Name:		python-%{module}
Version:	0.1.8
Release:	%mkrel 2
Summary:	Sphinx theme for readthedocs.org
Group:		Development/Python
License:	MIT
URL:		https://github.com/snide/sphinx_rtd_theme
Source0:	https://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
%description
This is a prototype mobile-friendly sphinx theme for readthedocs.org.
It's currently in development and includes some rtd variable checks that
can be ignored if you're just trying to use it on your project outside
of that site.

%package -n	python3-%{module}
Summary:	Sphinx theme for readthedocs.org
Group:		Development/Python
BuildArch:	noarch

%description -n	python3-%{module}
This is a prototype mobile-friendly sphinx theme for readthedocs.org.
It's currently in development and includes some rtd variable checks that
can be ignored if you're just trying to use it on your project outside
of that site.
This is the Python 3 build of %{module}.

%prep
%setup -q -n %{module}-%{version}

# fix for our current python-sphinx version
sed -i 's|sphinx>=1.3|sphinx>=1.2|' requirements.txt

cp -a . %{py3dir} 

%build
%{__python} setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd



%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root=%{buildroot} 

 
%files
%doc README.rst LICENSE
%{python_sitelib}/%{module}
%{python_sitelib}/%{module}-%{version}-py%{python_version}.egg-info

%files -n python3-%{module}
%doc README.rst LICENSE
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.1.8-2pclos2016
- rebuild for 32bit

* Tue Nov 10 2015 bb <bb> 0.1.8-1pclos2015
- import for lxqt
